From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1565292-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 4D2E7158089
	for <garchives@archives.gentoo.org>; Tue, 24 Oct 2023 21:11:35 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 408292BC019;
	Tue, 24 Oct 2023 21:11:34 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 2A4002BC019
	for <gentoo-commits@lists.gentoo.org>; Tue, 24 Oct 2023 21:11:34 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 4A06F335CB7
	for <gentoo-commits@lists.gentoo.org>; Tue, 24 Oct 2023 21:11:33 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 881DF12B5
	for <gentoo-commits@lists.gentoo.org>; Tue, 24 Oct 2023 21:11:31 +0000 (UTC)
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Message-ID: <1698181882.49b4ae50187c9a51bba76ab12e5e458fc75c5242.mgorny@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/scipy/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/scipy/scipy-1.11.3-r1.ebuild
X-VCS-Directories: dev-python/scipy/
X-VCS-Committer: mgorny
X-VCS-Committer-Name: Michał Górny
X-VCS-Revision: 49b4ae50187c9a51bba76ab12e5e458fc75c5242
X-VCS-Branch: master
Date: Tue, 24 Oct 2023 21:11:31 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 2624930c-37fc-47a9-86ff-8a297b4961f3
X-Archives-Hash: fd2190270e331519300a40148eba7c42

commit:     49b4ae50187c9a51bba76ab12e5e458fc75c5242
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 19:35:56 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 21:11:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49b4ae50

dev-python/scipy: Enable py3.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/scipy/scipy-1.11.3-r1.ebuild | 129 ++++++++++++++++++++++++++++++++
 1 file changed, 129 insertions(+)

diff --git a/dev-python/scipy/scipy-1.11.3-r1.ebuild b/dev-python/scipy/scipy-1.11.3-r1.ebuild
new file mode 100644
index 000000000000..ec1b7d97a795
--- /dev/null
+++ b/dev-python/scipy/scipy-1.11.3-r1.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED=fortran
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 multiprocessing
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="
+	https://scipy.org/
+	https://github.com/scipy/scipy/
+	https://pypi.org/project/scipy/
+"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+
+	# Need submodules, so git for now.
+	EGIT_REPO_URI="https://github.com/scipy/scipy"
+	EGIT_BRANCH="maintenance/$(ver_cut 1-2).x"
+	EGIT_SUBMODULES=( '*' )
+else
+	inherit pypi
+
+	# Upstream is often behind with doc updates
+	#DOC_PV=${PV}
+	DOC_PV=1.11.0
+
+	SRC_URI+="
+		doc? (
+			https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+		)"
+
+	if [[ ${PV} != *rc* ]] ; then
+		KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+	fi
+fi
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+IUSE="doc +fortran test-rust"
+
+# umfpack is technically optional but it's preferred to have it available.
+DEPEND="
+	>=dev-python/numpy-1.21.6[lapack,${PYTHON_USEDEP}]
+	sci-libs/arpack:=
+	sci-libs/umfpack
+	virtual/cblas
+	>=virtual/lapack-3.8
+"
+RDEPEND="
+	${DEPEND}
+	dev-python/pillow[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-lang/swig
+	>=dev-python/cython-0.29.35[${PYTHON_USEDEP}]
+	>=dev-python/meson-python-0.12.1[${PYTHON_USEDEP}]
+	>=dev-python/pybind11-2.10.4[${PYTHON_USEDEP}]
+	>=dev-util/meson-1.1.0
+	!kernel_Darwin? ( dev-util/patchelf )
+	virtual/pkgconfig
+	doc? ( app-arch/unzip )
+	fortran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/pytest-xdist[${PYTHON_USEDEP}]
+	)
+	test-rust? (
+		dev-python/pooch[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+	default
+
+	if use doc; then
+		unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+	fi
+}
+
+python_configure_all() {
+	DISTUTILS_ARGS=(
+		-Dblas=blas
+		-Dlapack=lapack
+		-Duse-pythran=$(usex fortran true false)
+	)
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+
+	local EPYTEST_DESELECT=(
+		# Network
+		scipy/datasets/tests/test_data.py::TestDatasets::test_existence_all
+		scipy/datasets/tests/test_data.py::TestDatasets::test_ascent
+		scipy/datasets/tests/test_data.py::TestDatasets::test_face
+		scipy/datasets/tests/test_data.py::TestDatasets::test_electrocardiogram
+
+		# Precision issue with diff. blas?
+		scipy/optimize/tests/test__basinhopping.py::Test_Metropolis::test_gh7799
+
+		# Crashes with assertion, not a regression
+		# https://github.com/scipy/scipy/issues/19321
+		scipy/signal/tests/test_signaltools.py::test_lfilter_bad_object
+	)
+	local EPYTEST_IGNORE=()
+
+	if ! has_version -b "dev-python/pooch[${PYTHON_USEDEP}]" ; then
+		EPYTEST_IGNORE+=(
+			scipy/datasets/tests/test_data.py
+		)
+	fi
+
+	epytest -n "$(makeopts_jobs)" --dist=worksteal scipy
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( "${WORKDIR}"/html/. )
+
+	distutils-r1_python_install_all
+}